Subject: Re: 23.0.92; Bug in Directory Variables

From: David De La Harpe Golden <[email-masked]>
Date: Thu, 09 Apr 2009 12:03:00 +0100

Chong Yidong wrote:
> The following patch changes the directory local variables code so that
> the cache stores the file atime.  Before using each cache entry, we
> check that against the file modtime.
> 
> This is not an ideal time to make changes of this sort, but I think this
> problem (i.e., inability to detect changes in .dir-locals.el files) is
> quite a serious one.  So please help me review this patch.
>

I suspect the systems where a problem with the patch will be most 
noticeable will be windoze, since there's an extra file attributes call? 
  I have a suspicion you almost might as well abandon the caching given 
the scary timings we've seen for that in the past.  I could be wrong though.